Bug 103322 - security/gnome-ssh-askpass doesn't work: Undefined symbol "pthread_getschedparam"
Summary: security/gnome-ssh-askpass doesn't work: Undefined symbol "pthread_getschedpa...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Botero-Lowry
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-17 10:30 UTC by vova
Modified: 2006-09-22 09:36 UTC (History)
0 users

See Also:


Attachments
file.diff (1.24 KB, patch)
2006-09-17 10:30 UTC, vova
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vova 2006-09-17 10:30:20 UTC

$ gnome-ssh-askpass2
GTK Accessibility Module initialized
/libexec/ld-elf.so.1: /usr/local/lib/libgthread-2.0.so.0: Undefined symbol "pthread_getschedparam"
$

Fix: workaround:

start it with:
LD_PRELOAD=/usr/lib/libc_r.so

fix:
How-To-Repeat: 

ust build security/gnome-ssh-askpass on 7-CURRENT and start it.
Comment 1 Alexander Botero-Lowry freebsd_committer 2006-09-20 20:43:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alexbl

I will take it.
Comment 2 dfilter service freebsd_committer 2006-09-22 09:22:20 UTC
alexbl      2006-09-22 08:22:11 UTC

  FreeBSD ports repository

  Modified files:
    security/gnome-ssh-askpass Makefile 
  Added files:
    security/gnome-ssh-askpass/files patch-contrib_Makefile 
  Log:
  - Add PTHREAD_LIBS to CFLAGS
  
  PR:             103322
  Submitted by:   Vladimir Grebenschikov <vova@fbsd.ru>
  Approved by:    novel (mentor)
  
  Revision  Changes    Path
  1.9       +4 -1      ports/security/gnome-ssh-askpass/Makefile
  1.1       +11 -0     ports/security/gnome-ssh-askpass/files/patch-contrib_Makefile (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alexander Botero-Lowry freebsd_committer 2006-09-22 09:36:28 UTC
State Changed
From-To: open->closed

Committed, thanks!